Edit

Monitoring - Tables Mirroring Status (beta)

Note

This API is part of a Beta release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

When calling this API, callers must specify true as the value for the query parameter beta.

This API supports pagination.

Returns the per-table mirroring status for the MirroredCatalog. This API shows the mirroring status of each table in the source catalog.

Permissions

The caller must have read permissions for the mirrored catalog.

Required Delegated Scopes

Item.Read.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/tablesMirroringStatus?beta={beta}
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/tablesMirroringStatus?beta={beta}&continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
mirroredCatalogId
path True

string (uuid)

The MirroredCatalog ID.

workspaceId
path True

string (uuid)

The workspace ID.

beta
query True

boolean

This required parameter must be set to true to access this API, which is currently in beta.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

TablesMirroringStatusResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

Examples

Tables Mirroring Status example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/mirroredCatalogs/5b218778-e7a5-4d73-8187-f10824047715/tablesMirroringStatus?beta=True

Sample response

{
  "value": [
    {
      "schemaName": "Taxes",
      "name": "TaxInfo",
      "status": "Running",
      "lastSyncDateTime": "2026-03-19T02:12:58.5404355Z",
      "lastUpdateDateTime": "2026-03-19T02:12:59.1234567Z"
    },
    {
      "schemaName": "Taxes",
      "name": "AnotherTable",
      "status": "Running",
      "lastSyncDateTime": null
    },
    {
      "schemaName": "Receivable",
      "name": "AccountRecords",
      "status": "Running",
      "lastSyncDateTime": "2026-03-19T02:10:12.3456789Z",
      "lastUpdateDateTime": "2026-03-19T02:10:13.456789Z"
    },
    {
      "schemaName": "Receivable",
      "name": "Invoices",
      "status": "Failed",
      "lastSyncDateTime": "2026-03-19T02:08:30Z",
      "error": {
        "errorCode": "TableLocationNotAccessible",
        "message": "Table location not accessible: s3://bucket/path/invoices"
      }
    }
  ],
  "continuationToken": null,
  "continuationUri": null
}

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

TableMirroringState

The table mirroring state. Additional TableMirroringState types may be added over time.

TableMirroringStatus

The mirroring status for a single table.

TablesMirroringStatusResponse

Response containing the per-table mirroring status for the mirrored catalog.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

TableMirroringState

The table mirroring state. Additional TableMirroringState types may be added over time.

Value Description
Running

Table is actively being mirrored and ready for use.

Failed

Table mirroring failed. Check the error field for details.

Stopped

Table is not being mirrored.

TableMirroringStatus

The mirroring status for a single table.

Name Type Description
error

ErrorResponse

Populated when an error occurs while mirroring this table.

lastSyncDateTime

string (date-time)

Last sync attempt timestamp for this table. Null if the table was discovered but has not completed its first sync cycle yet. The timestamp is in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

lastUpdateDateTime

string (date-time)

Last successful shortcut creation or update timestamp for this table. Null if the shortcut has never been successfully created. The timestamp is in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

name

string

The table name.

schemaName

string

The schema (leaf namespace) name where the table resides.

status

TableMirroringState

Table mirroring state.

TablesMirroringStatusResponse

Response containing the per-table mirroring status for the mirrored catalog.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

TableMirroringStatus[]

A list of per-table mirroring statuses.